Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Feld<Typ>

    java.lang.Object
      sum.strukturen.Feld<Typ>

Direct Known Subclasses:
  Tabelle

    public class Feld<Typ>

extends Object

Ein Feld verallgemeinert ein Array so, dass es beliebige Grenzen hat.
Es kann als Feld mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage inhalt ein Object und es wird Typkonversion nötig.

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht

Field Summary
`(package private) Object[]` | `hatArray`
`(package private) static long` | `serialVersionUID`
`(package private) int` | `zObereGrenze`
`(package private) int` | `zUntereGrenze`

Constructor Summary
`Feld(int pUntereGrenze, int pObereGrenze)` nachher: Das Feld der angegebenen Größe wurde erzeugt.

Method Summary
`Typ` | `inhalt(int pPosition)` nachher: Der Inhalt des Feldes an der angegebenen Position wurde geliefert.
`int` | `obereGrenze()` nachher: Die obere Grenze des Indexbereichs wurde geliefert.
`void` | `setzeInhalt(int pPosition, Typ pInhalt)` nachher: Als Inhalt des Feldes an der angegebenen Position wurde das angegebene Objekt gesetzt.
`int` | `untereGrenze()` nachher: Die untere Grenze des Indexbereichs wurde geliefert.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatArray

    Object[] hatArray

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### zObereGrenze

    int zObereGrenze

### zUntereGrenze

    int zUntereGrenze

Constructor Detail

### Feld

    public Feld(int pUntereGrenze,
                int pObereGrenze)

  nachher: Das Feld der angegebenen Größe wurde erzeugt. Es hat noch keinen Inhalt.

Method Detail

### inhalt

    public Typ inhalt(int pPosition)

  nachher: Der Inhalt des Feldes an der angegebenen Position wurde geliefert.

### obereGrenze

    public int obereGrenze()

  nachher: Die obere Grenze des Indexbereichs wurde geliefert.

### setzeInhalt

    public void setzeInhalt(int pPosition,
                            Typ pInhalt)

  nachher: Als Inhalt des Feldes an der angegebenen Position wurde das angegebene Objekt gesetzt.

### untereGrenze

    public int untereGrenze()

  nachher: Die untere Grenze des Indexbereichs wurde geliefert.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD